package fssql_test

import (
	"fusenapi/initalize"
	"fusenapi/model/gmodel"
	"fusenapi/utils/fssql"
	"testing"
)

func TestCase1(t *testing.T) {
	u := gmodel.UserProfile{
		FirstName: "h",
		LastName:  "sm",
	}

	conn := initalize.InitMysql("fsreaderwriter:XErSYmLELKMnf3Dh@tcp(fusen.cdmigcvz3rle.us-east-2.rds.amazonaws.com:3306)/fusen")
	err := fssql.MetadataModulePATCH(conn, "logo", gmodel.FsChangeCode{}, u, "id = ?", 6)
	if err != nil {
		panic(err)
	}

	err = fssql.MetadataResourcePATCH(conn,
		"f8932c0379fa5aa3397dc0a963696ca90536cc273ea10119b0137fd15ecfe673", u)

	if err != nil {
		panic(err)
	}
}
